Bug 490065 - Duplicate sequences in Compose
Duplicate sequences in Compose
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 23:34 EDT by Akira TAGOH
Modified: 2009-12-02 07:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 07:48:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 17228 None None None Never

  None (edit)
Description Akira TAGOH 2009-03-12 23:34:16 EDT
Description of problem:
There might be more duplicate sequences in Compose for other locales but just realized it's there in /usr/share/X11/locale/pt_BR.UTF-8/Compose. for instance:
<Multi_key> <apostrophe> <comma>        : "‚" U201a # SINGLE LOW-9 QUOTATION MARK
<Multi_key> <apostrophe> <comma> <C>    : "Ḉ" U1E08 # LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE

In this case, no U201a appears after typing Multi_key, apostrophe and comma. but U1e08 after typing C. is all of these partially duplicated sequences really supposed to work?  if not, how come these unworkable sequences are listed there? shouldn't they be just removed?

Version-Release number of selected component (if applicable):
libX11-1.2-3.fc11
Comment 1 Peter Hutterer 2009-04-16 19:20:28 EDT
Upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=17228
Comment 2 Bug Zapper 2009-06-09 08:12:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matěj Cepl 2009-11-05 13:23:17 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Chris Campbell 2009-12-02 07:48:15 EST
We filed this bug in the upstream database () and believe that it is more appropriate to let it be resolved upstream.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.